#!/bin/bash

# Read end range of Policier log to look for Policy Footer tag
policyStatus=$(sudo tail -n 5 /Library/Addigy/logs/policier.log | grep 'policy-footer' | tail -n 1)

# Until the end range value of the Policy Footer is found with a complete tag, wait.
echo "Waiting for Addigy Policy excution to complete..."
until [[ "$policyStatus" == *"completed"* ]]; do
    policyStatus=$(sudo tail -n 5 /Library/Addigy/logs/policier.log | grep 'policy-footer' | tail -n 1)
done
echo "Policy Execution Complete"